Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
instagram
/
post-details
Get Instagram post
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "postUrl": "https://www.instagram.com/p/ABC123/"
}
'
{
  "data": {
    "shortcode": "<string>",
    "post_url": "<string>",
    "post_type": "<string>",
    "caption": "<string>",
    "hashtags": [
      "<string>"
    ],
    "mentions": [
      "<string>"
    ],
    "likes_count": 123,
    "comments_count": 123,
    "video_views_count": 123,
    "display_url": "<string>",
    "dimensions_height": 123,
    "dimensions_width": 123,
    "is_sponsored": true,
    "location_name": "<string>",
    "location_id": "<string>",
    "posted_at": "<string>",
    "author_username": "<string>",
    "owner_id": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/instagram/post-details

Get full details for a specific Instagram post.
Get full details (captions, media, engagement) for a specific post by URL.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"postUrl": "https://www.instagram.com/p/ABC123/"}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
postUrl
string
required
Example:

"https://www.instagram.com/p/ABC123/"

Response

Instagram post details.

data
object
required
meta
object
required